import { request } from '@/plugins/http-fetch';

// 网元抓包PACP 开始
export function dumpStart(data: Record<string, string>) {
  return request({
    url: '/trace/tcpdump/start',
    method: 'POST',
    data: data,
    timeout: 60_000,
  });
}

// 网元抓包PACP 结束
export function dumpStop(data: Record<string, string>) {
  return request({
    url: '/trace/tcpdump/stop',
    method: 'POST',
    data: data,
    timeout: 60_000,
  });
}

// UPF标准版内部抓包
export function traceUPF(data: Record<string, string>) {
  return request({
    url: '/trace/tcpdump/upf',
    method: 'POST',
    data: data,
    timeout: 60_000,
  });
}
